.periods {
  padding: 0 0 20px 0;

  .button-add {
    margin-top: 25px;
    padding: 0 20px;
  }

  ::ng-deep .mat-tab-header-pagination-controls-enabled .mat-tab-header-pagination {
    box-shadow: none;
  }

  ::ng-deep .mat-tab-label {
    width: 25%;
    min-width: 70px;
    padding: 18px 0;
    height: auto;
    font-size: 16px;
    color: #34353d;
    opacity: 1;
  }

  ::ng-deep .mat-tab-header {
    border-top: 1px solid;
    border-color: rgba(#979797, 0.2);
    padding: 0 20px;
  }

  ::ng-deep .mat-tab-body-content {
    padding: 15px 0 20px 0;
  }

  .header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 14px;
    font-weight: bold;
    color: #34353d;
    padding: 0 0 7px 20px;
  }

  .input-group {
    display: flex;
    border-bottom: 1px solid rgba(#979797, 0.2);
    padding: 10px 20px;
    align-items: center;

    &:hover {
      background-color: rgba(#f0f4f9, 0.4);
    }

    &:last-child {
      border: none;
    }

    ::ng-deep .mat-form-field-infix {
      width: auto;
    }

    ::ng-deep .mat-form-field {
      padding-right: 20px;
    }

    i {
      font-size: 11px;
      cursor: pointer;

      &:hover {
        color: var(--color-red);
      }
    }

    &.ng-invalid.ng-touched {
      ::ng-deep .mat-form-field .mat-form-field-outline .mat-form-field-outline-start,
      ::ng-deep .mat-form-field .mat-form-field-outline .mat-form-field-outline-gap,
      ::ng-deep .mat-form-field .mat-form-field-outline .mat-form-field-outline-end {
        border-color: var(--color-red);
      }
    }
  }

  &.has-vehicule {
    .input-group {
      ::ng-deep .mat-form-field {
        padding-right: 10px;
      }
    }
  }
}
